POST /v1/connectors
Create a new connector
POST
/v1/connectors
Create a new connector
Request Body required
Connector details
application/jsonOne of:
Option 1
Option 2
data
object
REQUIRED
description
string
name
string
REQUIRED
type
string
REQUIRED
Responses
200
OK
application/jsoncode
integer
data
object
createdAt
string
createdBy
string
description
string
id
string
maskedData
object
Computed field, not persisted
name
string
organizationId
string
provider
string
type
string
updatedAt
string
updatedBy
string
message
string
requestId
string
400
Bad Request
curl -X POST 'https://api.example.com/v1/connectors' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/connectors', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/connectors', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/connectors", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "createdAt": "<string>", "createdBy": "<string>", "description": "<string>", "id": "<string>", "maskedData": "<object>", "name": "<string>", "organizationId": "<string>", "provider": "<string>", "type": "<string>", "updatedAt": "<string>", "updatedBy": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
POST
/v1/connectors
